Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOP::BiDirIIOPServiceContext_out Class Reference

`#include <IIOPC.h>`

Collaboration diagram for IIOP::BiDirIIOPServiceContext_out:

[legend]
List of all members.

## Public Methods
| BiDirIIOPServiceContext_out (BiDirIIOPServiceContext *&)
| BiDirIIOPServiceContext_out (BiDirIIOPServiceContext_var &)
| BiDirIIOPServiceContext_out (const BiDirIIOPServiceContext_out &)
BiDirIIOPServiceContext_out & | operator= (const BiDirIIOPServiceContext_out &)
BiDirIIOPServiceContext_out & | operator= (BiDirIIOPServiceContext *)
| operator BiDirIIOPServiceContext *& ()
BiDirIIOPServiceContext *& | ptr (void)
BiDirIIOPServiceContext * | operator-> (void)
## Private Methods
void | operator= (const BiDirIIOPServiceContext_var &)
## Private Attributes
BiDirIIOPServiceContext *& | ptr_

## Constructor & Destructor Documentation

IIOP::BiDirIIOPServiceContext_out::BiDirIIOPServiceContext_out | ( | BiDirIIOPServiceContext *& |  | ) |

IIOP::BiDirIIOPServiceContext_out::BiDirIIOPServiceContext_out | ( | BiDirIIOPServiceContext_var & |  | ) |

IIOP::BiDirIIOPServiceContext_out::BiDirIIOPServiceContext_out | ( | const BiDirIIOPServiceContext_out & |  | ) |

## Member Function Documentation

IIOP::BiDirIIOPServiceContext_out::operator BiDirIIOPServiceContext *& | ( |  | ) |

BiDirIIOPServiceContext* IIOP::BiDirIIOPServiceContext_out::operator-> | ( | void |  | ) |

void IIOP::BiDirIIOPServiceContext_out::operator= | ( | const BiDirIIOPServiceContext_var & |  | ) | `[private]`

BiDirIIOPServiceContext_out& IIOP::BiDirIIOPServiceContext_out::operator= | ( | BiDirIIOPServiceContext * |  | ) |

BiDirIIOPServiceContext_out& IIOP::BiDirIIOPServiceContext_out::operator= | ( | const BiDirIIOPServiceContext_out & |  | ) |

BiDirIIOPServiceContext*& IIOP::BiDirIIOPServiceContext_out::ptr | ( | void |  | ) |

## Member Data Documentation

BiDirIIOPServiceContext*& IIOP::BiDirIIOPServiceContext_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- IIOPC.h